<?php

namespace Icinga\Module\Graphdash\Controllers;

use Icinga\Web\Controller;
use Icinga\Module\Graphdash\CurrentHost;
use Icinga\Module\Graphdash\Graphs;
use Icinga\Module\Graphdash\Forms\Config\GeneralConfigForm;

// Nirgends dokumentiert: Sobald Namespeces verwendet werden, muss die Controller-Klasse
// WeekController heißen und nicht mehr GraphDash_WeekController!
// class GraphDash_WeekController extends Controller
class ConfigController extends Controller {
	
    public function indexAction() 
    {
			if ($this->hasPermission('graphdash/config')) 
			{
        $tabs = parent::getTabs();    
				$tabs->add(
					'config',
					array(
					'title' => $this->translate('Configure this module'),
					'label' => $this->translate('Configuration'),
					'url'   => 'graphdash/config'
					)
				);
			}

				// Show Configuration form
        $form = new GeneralConfigForm();
        $form->setIniConfig($this->Config());
        $form->handleRequest();
        $this->view->form = $form;
                
        $this->getTabs()->activate('config');
    }
}

