<?php

namespace Icinga\Module\Graphdash\Controllers;

use Icinga\Module\Graphdash\GdController;
use Icinga\Module\Graphdash\CurrentHost;
use Icinga\Module\Graphdash\Graphs;

// Nirgends dokumentiert: Sobald Namespeces verwendet werden, muss die Controller-Klasse
// WeekController heißen und nicht mehr GraphDash_WeekController!
// class GraphDash_WeekController extends Controller
class DayController extends GdController {

    public function indexAction() 
    {
				// Get current host data
        $host = CurrentHost::getCurrentHost();
        $configs = GdController::getConfig();
        
        // Set graphs
        $this->view->graphs = Graphs::GetGraphs($host, $configs['pnpurl'], 1);
        $this->view->width = $configs['width'];
        $this->getTabs()->activate('day');
    }

}