<?php

namespace Icinga\Module\Graphdash\ProvidedHook\Monitoring;

use Icinga\Module\Monitoring\Hook\ServiceActionsHook;
use Icinga\Module\Monitoring\Object\Service;
use Icinga\Web\Url;

class ServiceActions extends ServiceActionsHook
{
    public function getActionsForService(Service $service)
    {
    	  $hostname = $service->host_name;

				// **** Todo: Icon auf graph.png setzen!
				
				// Add all graphdash graphs via url parameters
				$graphdash_services = $service->_host_graphdash_services;
				if ($graphdash_services !== null) {
					$actions['GraphDash'] = Url::fromPath('graphdash/month', array_merge(array('name' => $hostname), $graphdash_services));
				}
				else {
					$actions['GraphDash'] = Url::fromPath('graphdash/month');
				}
        return $actions;
    }
}
